All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.servlet.tbeans
Class StyleMap

    com.sas.servlet.tbeans.StyleMap

All Implemented Interfaces:
  java.util.Map

    public class StyleMap

A Map of StyleInfos with defaults, returned by most getStyleMap methods.

Constructor Summary
`StyleMap()`
`StyleMap(java.util.Map defaultMap)`

Method Summary
`java.util.Map` | `getDefaultMap()`
`java.lang.Object` | `put(java.lang.Object key, java.lang.Object value)` Associates the specified value with the specified key in this map (optional operation).
`void` | `putAll(java.util.Map m)` Copies all of the mappings from the specified map to this map These mappings will replace any mappings that this map had for any of the keys currently in the specified map.

Constructor Detail

### StyleMap

    public StyleMap()

### StyleMap

    public StyleMap(java.util.Map defaultMap)

Parameters:
  `defaultMap` -

Method Detail

### put

    public java.lang.Object put(java.lang.Object key,
                                java.lang.Object value)
                         throws java.lang.UnsupportedOperationException,
                                java.lang.ClassCastException,
                                java.lang.IllegalArgumentException,
                                java.lang.NullPointerException

  Associates the specified value with the specified key in this map (optional operation). If the map previously contained a mapping for this key, the old value is replaced. The value must be a StyleInfo.

  Specified by:
    `put` in interface `java.util.Map`
  Overrides:
    `put` in class `com.sas.util.MapWithDefaults`
  Parameters:
    `key` - key with which the specified value is to be associated.
    `value` - value to be associated with the specified key.
  Returns:
    previous value associated with specified key, or null if there was no mapping for key. A null return can also indicate that the map previously associated null with the specified key, if the implementation supports null values.
  Throws:
    `java.lang.IllegalArgumentException` - if the specified map contains any values which are not StyleInfos.
    `java.lang.UnsupportedOperationException`
    `java.lang.ClassCastException`
    `java.lang.NullPointerException`

### putAll

    public void putAll(java.util.Map m)
                throws java.lang.UnsupportedOperationException,
                       java.lang.ClassCastException,
                       java.lang.IllegalArgumentException,
                       java.lang.NullPointerException

  Copies all of the mappings from the specified map to this map These mappings will replace any mappings that this map had for any of the keys currently in the specified map. The maps can only contain StyleInfo values.

  Specified by:
    `putAll` in interface `java.util.Map`
  Overrides:
    `putAll` in class `com.sas.util.MapWithDefaults`
  Parameters:
    `m` - mappings to be stored in this map.
  Throws:
    `java.lang.NullPointerException` - if the specified map is null, IllegalArgumentException if the specified map contains any values which are not StyleInfos.
    `java.lang.UnsupportedOperationException`
    `java.lang.ClassCastException`
    `java.lang.IllegalArgumentException`

### getDefaultMap

    public java.util.Map getDefaultMap()

  Overrides:
    `getDefaultMap` in class `com.sas.util.MapWithDefaults`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.